AddCSLuaFile( "cl_init.lua" )
AddCSLuaFile( "shared.lua" )
include('shared.lua')

function ENT:Initialize()
	
	self.Entity:SetModel( "models/Combine_Helicopter/helicopter_bomb01.mdl" );
	self.Entity:PhysicsInit( SOLID_VPHYSICS );
	self.Entity:SetMoveType( MOVETYPE_VPHYSICS );
	self.Entity:SetSolid( SOLID_VPHYSICS );

end

function ENT:PhysicsCollide()
	
	local exp = ents.Create( "env_explosion" );
		exp:SetPos( self.Entity:GetPos() );
		exp:SetKeyValue( "iMagnitude", 500 );
		exp:Spawn();
		exp:Fire( "Explode", "", 0 );
		
	self:Remove();
	
end
